# Uses of Class
it.tdlight.jni.TdApi.AvailableReaction

## Uses of TdApi.AvailableReaction in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.AvailableReaction
Modifier and Type
Field
Description
`TdApi.AvailableReaction[]`
TdApi.AvailableReactions.`popularReactions`
List of popular reactions.
`TdApi.AvailableReaction[]`
TdApi.AvailableReactions.`recentReactions`
List of recently used reactions.
`TdApi.AvailableReaction[]`
TdApi.AvailableReactions.`topReactions`
List of reactions to be shown at the top.
Constructors in it.tdlight.jni with parameters of type TdApi.AvailableReaction
Modifier
Constructor
Description
``
`AvailableReactions(TdApi.AvailableReaction[] topReactions, TdApi.AvailableReaction[] recentReactions, TdApi.AvailableReaction[] popularReactions, boolean allowCustomEmoji, boolean areTags, TdApi.ReactionUnavailabilityReason unavailabilityReason)`
Represents a list of reactions that can be added to a message.